"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f904ae0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10f904c20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f904b80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f904cc0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10f904d60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10f904e00>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f904ea0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f904f40>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f904fe0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f905080>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10f905120>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10f9051c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10f905260>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10f905300>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10f9053a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10f905440>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10f9054e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10f905580>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10f905620>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10f9056c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10f905760>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10f905800>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10f9058a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10f905940>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f9059e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10f905a80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10f905b20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f905bc0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10f905c60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10f905d00>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10f905da0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10f905e40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10f905ee0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10f905f80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10f906020>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10f9060c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10f906160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10f906200>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f9062a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f906340>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f9063e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10f906480>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10f906520>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10f9065c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10f906660>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10f906700>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10f9067a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f906840>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f9068e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10f906980>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10f906a20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10f906ac0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f906b60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10f906c00>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10f906ca0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f906d40>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f906de0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f906e80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10f906f20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f906fc0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10f907060>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10f907100>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10f9071a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f907240>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10f9072e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10f907380>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10f907420>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10f9074c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10f907560>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f907600>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10f9076a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10f907740>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f9077e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10f907880>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10f907920>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10f9079c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10f907a60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10f907b00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10f907ba0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10f907ce0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10f907c40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10f907d80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10f907e20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10f907ec0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10f907f60>)]
name: str = 'fr_HOCCN'
